Bug 798917 - volume set auth.allow * not working
volume set auth.allow * not working
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Rajesh
Depends On:
  Show dependency treegraph
Reported: 2012-03-01 04:22 EST by Shwetha Panduranga
Modified: 2013-07-04 18:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-26 03:52:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: DP
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Shwetha Panduranga 2012-03-01 04:22:08 EST
Description of problem:
gluster volume set <volume_name> auth.allow * Not Working. 
This is required if we have set auth.allow to a ip_address/Hostname and we need to re-change the auth.allow to all ip_addresses/Hostnames. 

Version-Release number of selected component (if applicable):

How reproducible:

Actual results:
Usage: volume set <VOLNAME> <KEY> <VALUE>

Expected results:
Should all the * wild character. 

Additional info:
Comment 1 Amar Tumballi 2012-03-01 05:19:19 EST
can you try 'gluster volume reset <VOLNAME> <KEY>' and see if it gets reset?
Comment 2 Shwetha Panduranga 2012-03-01 07:26:45 EST
yes, it works.
Comment 3 Amar Tumballi 2012-03-12 03:33:20 EDT
reducing the priority as there exists a work around.
Comment 4 Rajesh 2012-04-26 03:52:49 EDT
when we do gluster volume set <volname> auth.allow *,
bash, or any other shell tries to expand the "*", which is a wildcard character.
escaping it with "\" works fine.
Comment 5 Amar Tumballi 2012-04-26 04:38:49 EDT
Rajesh, good find. Make sure we document this properly.

Note You need to log in before you can comment on or make changes to this bug.